Zoey REST API reference ยท Interactive version: apidocs.zoey.com
GET https://container-url.zoeysite.com/api/rest/checkout2/draft_orders
Sending a request to this endpoint will return ALL Draft Orders. Not all data will be included in response for GET ALL.
Include the id param and the specific Draft ID to be returned all data associated with the draft.
GET https://container-url.zoeysite.com/api/rest/checkout2/draft_orders/deleted?filters[deleted_at][gt]=2021-09-12
Query parameters:
| Name | Example | Notes |
|---|---|---|
filters[deleted_at][gt] | 2021-09-12 |
POST https://container-url.zoeysite.com/api/rest/checkout2/draft_orders/email
Example request body:
{
"cart_id": "74",
"data": {
"send_to": "don@zoey.com,test@zoey.com"
}
}
POST https://container-url.zoeysite.com/api/rest/checkout2/draft_orders
Example request body:
{
"cart_id": "84",
"data": {
// Will set the draft to Private when created
"is_private": "1",
// Will set the draft reserved_order_id when created
"reserve_order_id": true
}
}
DELETE https://container-url.zoeysite.com/api/rest/checkout2/draft_orders
This endpoint is used to unflag a Cart as a Draft so the data will still exist in the db without it showing to the user.
Example request body:
{
"cart_id": "231",
"data": {
"quote_name": "Made from Mobile"
}
}